Bug 387411 - python-virtinst should depend on libxml2-python
python-virtinst should depend on libxml2-python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 13:43 EST by Cristian Ciupitu
Modified: 2008-01-22 10:32 EST (History)
0 users

See Also:
Fixed In Version: 0.300.2-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 10:32:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cristian Ciupitu 2007-11-16 13:43:26 EST
If I have python-virtinst-0.300.1-3.fc8 installed, but not libxml2-python,
the following error occurs:

[christi@hermes ~]$ virt-install 
Traceback (most recent call last):
  File "/usr/bin/virt-install", line 21, in <module>
    import libxml2
ImportError: No module named libxml2

   After installing libxml2-python the problem disappears.
Comment 1 Jan ONDREJ 2007-12-05 09:14:17 EST
Same problem for me. Can somebody fix this and add libxml2-python to
requirements? Thanks.
Comment 2 Cole Robinson 2007-12-17 15:10:50 EST
Applied a fix for this:
http://hg.et.redhat.com/virt/applications/virtinst--devel?cs=9f0b17c174c4

I'll close this bug when a new release is pushed. Thanks!
Comment 3 Fedora Update System 2008-01-11 17:27:54 EST
python-virtinst-0.300.2-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-virtinst'
Comment 4 Fedora Update System 2008-01-22 10:32:22 EST
python-virtinst-0.300.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.